Package org.pushingpixels.flamingo.api.common

# Interface AsynchronousLoadListener

All Superinterfaces:
  `EventListener`

public interface AsynchronousLoadListener extends EventListener
This interface is used for asynchronously-loaded contents. When the image is loaded, the component that contains this image (`JCommandButton` for example) is notified to repaint itself.

## Method Summary

Modifier and Type
Method
Description
`void`
`completed(boolean success)`
Indicates that the asynchronous load has been completed.

## Method Details

### completed

void completed(boolean success)
Indicates that the asynchronous load has been completed.

Parameters:
  `success` - If `true`, the load has been completed successfully.